#include <exec/types.h>

#include <stdlib.h>
#include <string.h>

#include "header.h"

extern void *new(int);

struct nodenum *create_nodenum5(char *, short, short, short, short);

struct nodenum *create_nodenum(short net,short node)
{
   return create_nodenum5("",0,net,node,0);
}

struct nodenum *create_nodenum5(char *org,short zone,short net,short node,short point)
{
   struct nodenum *n;

   n = new(sizeof(struct nodenum));

   if(n==0)
      return(0);

   n->next_nodenum=0;

   stccpy(n->organization,org,MAX_STR);

   n->zone=zone;
   n->net=net;
   n->node=node;
   n->point=point;

   stccpy(n->from_organization,current_from_organization,MAX_STR);

   n->from_zone=current_from_zone;
   n->from_net=current_from_net;
   n->from_node=current_from_node;
   n->from_point=current_from_point;

   n->strip=current_strip;

   return(n);
}

